//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2014.08.29 at 12:55:12 PM CEST 
//


package net.ihe.gazelle.goc.template.definer.model;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for anonymous complex type.
 *
 * <p>The following schema fragment specifies the expected content contained within this class.
 *
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;attribute name="base_Constraint" use="required" type="{http://www.w3.org/2001/XMLSchema}NCName" /&gt;
 *       &lt;attribute name="type" use="required" type="{http://www.w3.org/2001/XMLSchema}NCName" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 *
 * @author Abderrazek Boufahja
 * @version $Id: $Id
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "")
@XmlRootElement(name = "ConstraintKind")
public class ConstraintKind {

    @XmlAttribute(name = "base_Constraint", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NCName")
    private String baseConstraint;
    @XmlAttribute(name = "kind", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NCName")
    private String kind;

    /**
     * Gets the value of the baseConstraint property.
     *
     * @return a {@link java.lang.String} object.
     */
    public String getBaseConstraint() {
        return baseConstraint;
    }

    /**
     * Sets the value of the baseConstraint property.
     *
     * @param value
     *     allowed object is
     *     {@link java.lang.String}
     */
    public void setBaseConstraint(String value) {
        this.baseConstraint = value;
    }

	/**
	 * <p>Getter for the field <code>kind</code>.</p>
	 *
	 * @return a {@link java.lang.String} object.
	 */
	public String getKind() {
		return kind;
	}

	/**
	 * <p>Setter for the field <code>kind</code>.</p>
	 *
	 * @param kind a {@link java.lang.String} object.
	 */
	public void setKind(String kind) {
		this.kind = kind;
	}


}
